Create an invoice

Invoices are created as active by default and the client is notified based on the delivery method. To create an invoice without notifying the client, set status to "Draft". Read more about draft invoice workflow.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Invoice information.

contact
object
required

Object that contains contact data. Either contact ID or contact information are required.

date
required

Event date in ISO 8601 format.

integer
required

Total amount as a minor currency unit (e.g. cents).

paymentMethods
array of objects, unique
length ≥ 1

Allowed payment methods to pay for the invoice. If omitted, allowed payment methods specified in the setting will be used.

paymentSchedule
array of objects
length ≥ 1

List of payments. If omitted, the invoice with one payment with due date as current date and amount as total amount will be created.

paymentSchedule
boolean

Whether automatic reminders to clients enabled. If omitted, the automatic reminders will be enabled.

ccEmails
array of strings

List of emails to CC email notifications.

ccEmails
string
length between 1 and 2500

Note to client.

string
enum

Invoice delivery method. If omitted, we will send an email notification with the payment link after invoice is created.

Allowed:
string
enum

Invoice status. If omitted, the invoice will be created as active and notifications will be sent immediately.
Use Draft to create an invoice without sending notifications. Draft invoices can be activated later via the update endpoint.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json